Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/31553/?format=api
{ "ob_id": 31553, "uuid": "49a8c73c22a04b6f999f1de98420f3cd", "title": "Met Office Lidar data for four sites in the Met Office lidar network observing ex-hurricane Ophelia on 15th and 16th October 2017.", "abstract": "This dataset contains Raman Lidar data from four UK sites in the Met Office Volcanic Ash lidar network for the 15th and 16th October 2017 when ex-hurricane Ophelia passed to the West of the British Isles, bringing dust from the Sahara and smoke from Portuguese forest fires that was observable to the naked eye in the UK. The sites included are Camborne, Rhyl, Watnall, and Loftus.\r\n\r\nThe data files contain profiles for co-polar, cross-polar and Raman backscatter data. The data support the following publication: Osborne, M., Adam, M., Buxmann, J., Sugier, J., Marenco, F., and Haywood, J.: Saharan dust and biomass burning aerosols during ex-hurricane Ophelia: validation of the new UK lidar and sun-photometer network, Atmos. Chem. Phys. Discuss., https://doi.org/10.5194/acp-2018-695.", "keywords": "Dust, Lidar, Met Office, Ophelia", "publicationState": "published", "dataPublishedTime": "2020-07-15T15:12:21", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/31554/?format=api", "dataPath": "/badc/deposited2019/MOLidar_ophelia/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1272245978, "numberOfFiles": 9, "fileFormat": "Data are NetCDF formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8635/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2640/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/29319/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/29321/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/29322/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/29324/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/29326/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/29327/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/29329/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/29330/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/29332/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/29333/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/29335/?format=api" ], "dataLineage": "Recorded by Met Office lidars, transmitted to Met Office HQ and read from binary files to netCDF then uploaded to CEDA. Dead time correction and bin shifting applied. No other corrections applied.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139590/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139586/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139587/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139588/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139589/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139591/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139592/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/139593/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/31557/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }